<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="stylesheet" type="text/css" href="index.css">
		<title>CSS Styling Properties and Positioning</title>
	</head>
	<body>
		<h2>CSS Common Styling</h2>

		<!-- Display properties -->
		<div id="div-1">This is a div</div>
		<span id="span-1">This is a span</span>
		<img src="https://place-puppy.com/450x450" id="img">
		<span id="span-2">This is another span</span>
		<div id="div-2">This is another div</div>

		<h3>Notes in block, inline, and inline-block</h3>
		<!-- CSS Color Values -->
		<p id="p-1"> Block takes up the whole width by default </p>
		<p id="p-2">width 60</p>
		<p id="p-3">width 40</p>

		<p>Even if there is enough space, block elements do not sit next to each other unless they are floated.</p>

		<p>Inline elements are things like bold and italics. You cannot control the height and width of these elements.</p>

		<div class="sample">width = 30</div>
		<div class="sample">width = 30</div>
		<div class="sample">width = 30</div>

		<hr>
		<!-- Float Property -->
		<h3>Float</h3>
		<p>
			The float property is used for positioning and formatting content
			e.g. let an image float left to 
			the text in the container.
		</p>

		<p id="float-parent">
			<img src="https://place-puppy.com/450x450" class="img-float">
			Lorem ipsum dolor sit amet, consectetur adipisicing elit. Et ratione, ullam, ipsa quaerat vel similique possimus perspiciatis, repellat in culpa ab deleniti soluta rem minus! Neque laudantium eum quasi. Similique! Lorem ipsum dolor sit amet consectetur adipisicing elit. Saepe tempore suscipit labore eligendi ea asperiores officiis perferendis ex et officia velit beatae, possimus mollitia iste incidunt consequatur ullam esse commodi. Lorem ipsum dolor sit amet consectetur adipisicing elit. Perferendis est laborum ipsum blanditiis odit cumque libero voluptates harum possimus reprehenderit iste eaque distinctio in, ad at ullam, assumenda itaque quaerat.
		</p>

		<!-- CSS Units -->
		<hr>
		<h3>CSS Units</h3>

		<h4>px vs %</h4>
		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixels">100px</div>

		<div class="box fifty-vw">50vw</div>
		<div class="box twenty-five-vh">25vh</div>

		<div>16px</div>
		<!-- root element px = 1rem -->
		<!-- parent element px = 1em -->
		<div class="one-rem">1rem</div>
		<div class="one-em">1em</div>
		<div class="two-rem">2rem</div>
		<div class="two-em">2em</div>
		<div class="two-hundred-percent">200%</div>

		<br>

		<div class="parent">
			<div class="box fifty-percent">50%</div>
			<div class="box one-hundred-pixels">100px</div>

			<div class="box fifty-vw">50vw</div>
			<div class="box twenty-five-vh">25vh</div>

			<div class="one-rem">1rem</div>
			<div class="one-em">1em</div>
			<div class="two-rem">2rem</div>
			<div class="two-em">2em</div>
			<div class="two-hundred-percent">200%</div>
		</div>

		<!-- CSS Background property -->
		<hr>
		<section class="background">
			<div class="container-bg">
			<h3 class="bg-title">Background Properties</h3>	
			</div>
		</section>
		<hr>

		<!-- CSS Positioning -->
		<div class="parent-element">
			Parent Element
			<div class="child-one">
				I'm the child one.
			</div>
			<div class="child-two">
				All eyes on me. I am the child two element.
			</div>
			<div class="child-three">
				I'm the child three element.
			</div>
		</div>


	</body>
</html>